package com.arms.api.clientcase.model;

import com.arms.egovframework.javaservice.esframework.model.dto.request.SearchRequestDTO;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ClientCaseContentsDTO extends SearchRequestDTO {

    //ClientCase ID (MySQL T_ARMS_CLIENTCASE.c_id)
    private String c_id;

    private String c_clientcase_contents;

    private String c_clientcase_thumbnail_image;

    public ClientCaseEntity createClientCaseEntity() {
        return ClientCaseEntity.builder()
                .c_id(this.c_id)
                .c_clientcase_contents(this.c_clientcase_contents)
                .c_clientcase_thumbnail_image(this.c_clientcase_thumbnail_image)
                .build();
    }
}
